// Copyright 2024 Bytedance Inc. All Rights Reserved.
// Author: tianlei.richard@qq.com (tianlei.richard)

#pragma once

#include <opencv2/core/core.hpp>

#include <Eigen/Dense>

using Vector3d = Eigen::Vector3d;
using Point2d = Eigen::Vector2d;
using Point3d = Eigen::Vector3d;
using BBox = cv::Rect2i;
using PixelProperty = Eigen::Vector4d;
using TransformMatrix = Eigen::Matrix<double, 4, 4>;
